Bug 840352 - SELinux is preventing /usr/sbin/uucico from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/sbin/uucico from 'name_connect' accesses on the tc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b13bf5eb3ff58fcaf86c76a1830...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 01:52 EDT by Markus Armbruster
Modified: 2012-07-21 18:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-21 18:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2012-07-16 01:52:37 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           Mon 16 Jul 2012 07:50:21 AM CEST

description:
:SELinux is preventing /usr/sbin/uucico from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************
:
:If you want to allow_ypbind
:Then you must tell SELinux about this by enabling the 'allow_ypbind' boolean.You can read 'uucpd_selinux' man page for more details.
:Do
:setsebool -P allow_ypbind 1
:
:*****  Plugin catchall (11.6 confidence) suggests  ***************************
:
:If you believe that uucico should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep uucico /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:uucpd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:uucpd_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        uucico
:Source Path                   /usr/sbin/uucico
:Port                          540
:Host                          (removed)
:Source RPM Packages           uucp-1.07-29.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux blackfin.pond.sub.org 3.4.4-5.fc17.x86_64 #1
:                              SMP Thu Jul 5 20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    Sun 15 Jul 2012 06:01:01 PM CEST
:Last Seen                     Sun 15 Jul 2012 11:01:02 PM CEST
:Local ID                      4dd69e3a-61f2-49b4-aa44-f0f1a88bcad5
:
:Raw Audit Messages
:type=AVC msg=audit(1342386062.22:136): avc:  denied  { name_connect } for  pid=3011 comm="uucico" dest=540 scontext=system_u:system_r:uucpd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:uucpd_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1342386062.22:136): arch=x86_64 syscall=connect success=no exit=EACCES a0=5 a1=7fff19b4ca50 a2=10 a3=33e08855d0 items=0 ppid=3009 pid=3011 auid=0 uid=0 gid=0 euid=10 suid=10 fsuid=10 egid=14 sgid=14 fsgid=14 tty=(none) ses=7 comm=uucico exe=/usr/sbin/uucico subj=system_u:system_r:uucpd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: uucico,uucpd_t,uucpd_port_t,tcp_socket,name_connect
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-16 02:24:05 EDT
Fixed in selinux-policy-3.10.0-140.fc17.noarch
Comment 2 Fedora Update System 2012-07-18 09:05:27 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-140.fc17
Comment 3 Fedora Update System 2012-07-19 05:12:18 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10840/selinux-policy-3.10.0-140.fc17
then log in and leave karma (feedback).
Comment 4 Markus Armbruster 2012-07-21 03:28:54 EDT
Fixes the bug for me.  Thanks!
Comment 5 Fedora Update System 2012-07-21 18:52:29 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.